/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { OfficeDocumentManager } from "./OfficeDocumentManager";
import { DrawingMLSpreadsheetDrawing } from "./DrawingMLSpreadsheetDrawing";
import { fromEnum, markType } from "igniteui-webcomponents-core";
import { ExcelNamespace } from "./ExcelNamespace";
import { Excel2006Main } from "./Excel2006Main";
import { SpreadsheetMLMain } from "./SpreadsheetMLMain";
import { SpreadsheetML2009Main } from "./SpreadsheetML2009Main";
import { BmpPartManager } from "./BmpPartManager";
import { EmfPartManager } from "./EmfPartManager";
import { GifPartManager } from "./GifPartManager";
import { JpegPartManager } from "./JpegPartManager";
import { PngPartManager } from "./PngPartManager";
import { TiffPartManager } from "./TiffPartManager";
import { WmfPartManager } from "./WmfPartManager";
import { WorkbookPartManagerBase } from "./WorkbookPartManagerBase";
/**
 * @hidden
 */
export let ExcelDocumentManager = /*@__PURE__*/ (() => {
    class ExcelDocumentManager extends OfficeDocumentManager {
        constructor(a, b, c, d) {
            super(a, b, c, d);
        }
        get__x() {
            return 0;
        }
        get _x() {
            return this.get__x();
        }
        _ac() {
            if (this._ae == false) {
                return 0;
            }
            for (let a of fromEnum(this._b.getRelationships())) {
                switch (a.relationshipType) {
                    case WorkbookPartManagerBase.a7: return 0;
                    case WorkbookPartManagerBase.a6: return 1;
                }
            }
            return 0;
        }
        _bj() {
            super._bj();
            this._bm(DrawingMLSpreadsheetDrawing.dp);
            this._bm(ExcelNamespace.ao);
            this._bm(Excel2006Main.ao);
            this._bm(SpreadsheetMLMain.ap);
            this._bm(SpreadsheetML2009Main.ao);
            this._bn(BmpPartManager.y);
            this._bn(EmfPartManager.y);
            this._bn(GifPartManager.y);
            this._bn(JpegPartManager.y);
            this._bn(PngPartManager.y);
            this._bn(TiffPartManager.y);
            this._bn(WmfPartManager.y);
        }
        get__v() {
            return DrawingMLSpreadsheetDrawing.dp;
        }
        get _v() {
            return this.get__v();
        }
        _bs() {
            switch (this._ab) {
                case 0: return ExcelDocumentManager._br;
                case 1: return ExcelDocumentManager._bq;
                default: return ExcelDocumentManager._br;
            }
        }
        _bt() {
            switch (this._ab) {
                case 0: return ExcelDocumentManager._bv;
                case 1: return ExcelDocumentManager._bu;
                default: return ExcelDocumentManager._bv;
            }
        }
    }
    ExcelDocumentManager.$t = /*@__PURE__*/ markType(ExcelDocumentManager, 'ExcelDocumentManager', OfficeDocumentManager.$);
    ExcelDocumentManager._br = "http://schemas.openxmlformats.org/officeDocument/2006/relationships/externalLinkPath";
    ExcelDocumentManager._bq = "http://purl.oclc.org/ooxml/officeDocument/relationships/externalLinkPath";
    ExcelDocumentManager._bv = "http://schemas.openxmlformats.org/officeDocument/2006/relationships/oleObject";
    ExcelDocumentManager._bu = "http://purl.oclc.org/ooxml/officeDocument/relationships/oleObject";
    return ExcelDocumentManager;
})();
