/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { markEnum } from "igniteui-webcomponents-core";
/**
 * Constants which define the type of fill pattern applied to a shape.
 */
export var PatternType = /*@__PURE__*/ (function (PatternType) {
    /**
     * 10% of the foreground color.
     */
    PatternType[PatternType["Pattern10Percent"] = 2] = "Pattern10Percent";
    /**
     * 20% of the foreground color.
     */
    PatternType[PatternType["Pattern20Percent"] = 3] = "Pattern20Percent";
    /**
     * 25% of the foreground color.
     */
    PatternType[PatternType["Pattern25Percent"] = 4] = "Pattern25Percent";
    /**
     * 30% of the foreground color.
     */
    PatternType[PatternType["Pattern30Percent"] = 5] = "Pattern30Percent";
    /**
     * 40% of the foreground color.
     */
    PatternType[PatternType["Pattern40Percent"] = 6] = "Pattern40Percent";
    /**
     * 50% of the foreground color.
     */
    PatternType[PatternType["Pattern50Percent"] = 7] = "Pattern50Percent";
    /**
     * 5% of the foreground color.
     */
    PatternType[PatternType["Pattern5Percent"] = 1] = "Pattern5Percent";
    /**
     * 60% of the foreground color.
     */
    PatternType[PatternType["Pattern60Percent"] = 8] = "Pattern60Percent";
    /**
     * 70% of the foreground color.
     */
    PatternType[PatternType["Pattern70Percent"] = 9] = "Pattern70Percent";
    /**
     * 75% of the foreground color.
     */
    PatternType[PatternType["Pattern75Percent"] = 10] = "Pattern75Percent";
    /**
     * 80% of the foreground color.
     */
    PatternType[PatternType["Pattern80Percent"] = 11] = "Pattern80Percent";
    /**
     * 90% of the foreground color.
     */
    PatternType[PatternType["Pattern90Percent"] = 12] = "Pattern90Percent";
    /**
     * Cross
     */
    PatternType[PatternType["PatternCross"] = 51] = "PatternCross";
    /**
     * Dark Downward Diagonal
     */
    PatternType[PatternType["PatternDarkDownwardDiagonal"] = 15] = "PatternDarkDownwardDiagonal";
    /**
     * Dark Horizontal
     */
    PatternType[PatternType["PatternDarkHorizontal"] = 13] = "PatternDarkHorizontal";
    /**
     * Dark Upward Diagonal
     */
    PatternType[PatternType["PatternDarkUpwardDiagonal"] = 16] = "PatternDarkUpwardDiagonal";
    /**
     * Dark Vertical
     */
    PatternType[PatternType["PatternDarkVertical"] = 14] = "PatternDarkVertical";
    /**
     * Dashed Downward Diagonal
     */
    PatternType[PatternType["PatternDashedDownwardDiagonal"] = 28] = "PatternDashedDownwardDiagonal";
    /**
     * Dashed Horizontal
     */
    PatternType[PatternType["PatternDashedHorizontal"] = 32] = "PatternDashedHorizontal";
    /**
     * Dashed Upward Diagonal
     */
    PatternType[PatternType["PatternDashedUpwardDiagonal"] = 27] = "PatternDashedUpwardDiagonal";
    /**
     * Dashed Vertical
     */
    PatternType[PatternType["PatternDashedVertical"] = 31] = "PatternDashedVertical";
    /**
     * Diagonal Brick
     */
    PatternType[PatternType["PatternDiagonalBrick"] = 40] = "PatternDiagonalBrick";
    /**
     * Diagonal Cross
     */
    PatternType[PatternType["PatternDiagonalCross"] = 54] = "PatternDiagonalCross";
    /**
     * Pattern Divot
     */
    PatternType[PatternType["PatternDivot"] = 46] = "PatternDivot";
    /**
     * Dotted Diamond
     */
    PatternType[PatternType["PatternDottedDiamond"] = 24] = "PatternDottedDiamond";
    /**
     * Dotted Grid
     */
    PatternType[PatternType["PatternDottedGrid"] = 45] = "PatternDottedGrid";
    /**
     * Downward Diagonal
     */
    PatternType[PatternType["PatternDownwardDiagonal"] = 52] = "PatternDownwardDiagonal";
    /**
     * Horizontal
     */
    PatternType[PatternType["PatternHorizontal"] = 49] = "PatternHorizontal";
    /**
     * Horizontal Brick
     */
    PatternType[PatternType["PatternHorizontalBrick"] = 35] = "PatternHorizontalBrick";
    /**
     * Large Checker Board
     */
    PatternType[PatternType["PatternLargeCheckerBoard"] = 36] = "PatternLargeCheckerBoard";
    /**
     * Large Confetti
     */
    PatternType[PatternType["PatternLargeConfetti"] = 33] = "PatternLargeConfetti";
    /**
     * Large Grid
     */
    PatternType[PatternType["PatternLargeGrid"] = 34] = "PatternLargeGrid";
    /**
     * Light Downward Diagonal
     */
    PatternType[PatternType["PatternLightDownwardDiagonal"] = 21] = "PatternLightDownwardDiagonal";
    /**
     * Light Horizontal
     */
    PatternType[PatternType["PatternLightHorizontal"] = 19] = "PatternLightHorizontal";
    /**
     * Light Upward Diagonal
     */
    PatternType[PatternType["PatternLightUpwardDiagonal"] = 22] = "PatternLightUpwardDiagonal";
    /**
     * Light Vertical
     */
    PatternType[PatternType["PatternLightVertical"] = 20] = "PatternLightVertical";
    /**
     * Mixed pattern
     */
    PatternType[PatternType["PatternMixed"] = -2] = "PatternMixed";
    /**
     * Narrow Horizontal
     */
    PatternType[PatternType["PatternNarrowHorizontal"] = 30] = "PatternNarrowHorizontal";
    /**
     * Narrow Vertical
     */
    PatternType[PatternType["PatternNarrowVertical"] = 29] = "PatternNarrowVertical";
    /**
     * Outlined Diamond
     */
    PatternType[PatternType["PatternOutlinedDiamond"] = 41] = "PatternOutlinedDiamond";
    /**
     * Plaid
     */
    PatternType[PatternType["PatternPlaid"] = 42] = "PatternPlaid";
    /**
     * Shingle
     */
    PatternType[PatternType["PatternShingle"] = 47] = "PatternShingle";
    /**
     * Small Checker Board
     */
    PatternType[PatternType["PatternSmallCheckerBoard"] = 17] = "PatternSmallCheckerBoard";
    /**
     * Small Confetti
     */
    PatternType[PatternType["PatternSmallConfetti"] = 37] = "PatternSmallConfetti";
    /**
     * Small Grid
     */
    PatternType[PatternType["PatternSmallGrid"] = 23] = "PatternSmallGrid";
    /**
     * Solid Diamond
     */
    PatternType[PatternType["PatternSolidDiamond"] = 39] = "PatternSolidDiamond";
    /**
     * Sphere
     */
    PatternType[PatternType["PatternSphere"] = 43] = "PatternSphere";
    /**
     * Trellis
     */
    PatternType[PatternType["PatternTrellis"] = 18] = "PatternTrellis";
    /**
     * Upward Diagonal
     */
    PatternType[PatternType["PatternUpwardDiagonal"] = 53] = "PatternUpwardDiagonal";
    /**
     * Vertical
     */
    PatternType[PatternType["PatternVertical"] = 50] = "PatternVertical";
    /**
     * Wave
     */
    PatternType[PatternType["PatternWave"] = 48] = "PatternWave";
    /**
     * Weave
     */
    PatternType[PatternType["PatternWeave"] = 44] = "PatternWeave";
    /**
     * Wide Downward Diagonal
     */
    PatternType[PatternType["PatternWideDownwardDiagonal"] = 25] = "PatternWideDownwardDiagonal";
    /**
     * Wide Upward Diagonal
     */
    PatternType[PatternType["PatternWideUpwardDiagonal"] = 26] = "PatternWideUpwardDiagonal";
    /**
     * Zig Zag
     */
    PatternType[PatternType["PatternZigZag"] = 38] = "PatternZigZag";
    return PatternType;
})({});
/**
 * @hidden
 */
export let PatternType_$type = /*@__PURE__*/ markEnum('PatternType', 'Pattern10Percent,2|Pattern20Percent,3|Pattern25Percent,4|Pattern30Percent,5|Pattern40Percent,6|Pattern50Percent,7|Pattern5Percent,1|Pattern60Percent,8|Pattern70Percent,9|Pattern75Percent,10|Pattern80Percent,11|Pattern90Percent,12|PatternCross,51|PatternDarkDownwardDiagonal,15|PatternDarkHorizontal,13|PatternDarkUpwardDiagonal,16|PatternDarkVertical,14|PatternDashedDownwardDiagonal,28|PatternDashedHorizontal,32|PatternDashedUpwardDiagonal,27|PatternDashedVertical,31|PatternDiagonalBrick,40|PatternDiagonalCross,54|PatternDivot,46|PatternDottedDiamond,24|PatternDottedGrid,45|PatternDownwardDiagonal,52|PatternHorizontal,49|PatternHorizontalBrick,35|PatternLargeCheckerBoard,36|PatternLargeConfetti,33|PatternLargeGrid,34|PatternLightDownwardDiagonal,21|PatternLightHorizontal,19|PatternLightUpwardDiagonal,22|PatternLightVertical,20|PatternMixed,-2|PatternNarrowHorizontal,30|PatternNarrowVertical,29|PatternOutlinedDiamond,41|PatternPlaid,42|PatternShingle,47|PatternSmallCheckerBoard,17|PatternSmallConfetti,37|PatternSmallGrid,23|PatternSolidDiamond,39|PatternSphere,43|PatternTrellis,18|PatternUpwardDiagonal,53|PatternVertical,50|PatternWave,48|PatternWeave,44|PatternWideDownwardDiagonal,25|PatternWideUpwardDiagonal,26|PatternZigZag,38');
