/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var RdArrayPartManager = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(RdArrayPartManager, _super);
    function RdArrayPartManager() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RdArrayPartManager.prototype.get_m = function () {
        return "application/vnd.ms-excel.rdarray+xml";
    };
    Object.defineProperty(RdArrayPartManager.prototype, "m", {
        get: function () {
            return this.get_m();
        },
        enumerable: false,
        configurable: true
    });
    RdArrayPartManager.prototype.n = function (a) {
        switch (a) {
            case 0: return "/xl/richData/rdarray.xml";
            default: return null;
        }
    };
    RdArrayPartManager.prototype.o = function (a) {
        switch (a) {
            case 0:
            case 1: return RdArrayPartManager.a5;
            default: return RdArrayPartManager.a5;
        }
    };
    RdArrayPartManager.prototype.get_g = function () {
        return false;
    };
    Object.defineProperty(RdArrayPartManager.prototype, "g", {
        get: function () {
            return this.get_g();
        },
        enumerable: false,
        configurable: true
    });
    RdArrayPartManager.$t = markType(RdArrayPartManager, 'RdArrayPartManager', XmlPartManagerBase.$);
    RdArrayPartManager.a5 = "http://schemas.microsoft.com/office/2017/06/relationships/rdArray";
    return RdArrayPartManager;
}(XmlPartManagerBase));
export { RdArrayPartManager };
