import { XmlNamespaceDefinitionBase } from "./XmlNamespaceDefinitionBase";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ST_DataValidationType } from "./ST_DataValidationType";
import { ST_DataValidationErrorStyle } from "./ST_DataValidationErrorStyle";
import { ST_DataValidationImeMode } from "./ST_DataValidationImeMode";
import { ST_DataValidationOperator } from "./ST_DataValidationOperator";
import { Nullable$1, Type } from "igniteui-webcomponents-core";
import { List$1 } from "igniteui-webcomponents-core";
import { ST_CfType } from "./ST_CfType";
import { ST_ConditionalFormattingOperator } from "./ST_ConditionalFormattingOperator";
import { ST_TimePeriod } from "./ST_TimePeriod";
import { ST_CfvoType } from "./ST_CfvoType";
import { ST_DataBarDirection } from "./ST_DataBarDirection";
import { ST_DataBarAxisPosition } from "./ST_DataBarAxisPosition";
import { ST_IconSetType } from "./ST_IconSetType";
import { ST_BorderStyle } from "./ST_BorderStyle";
import { ST_UnsignedIntHex } from "./ST_UnsignedIntHex";
import { ST_HorizontalAlignment } from "./ST_HorizontalAlignment";
import { ST_VerticalAlignment } from "./ST_VerticalAlignment";
import { ST_CalcMode } from "./ST_CalcMode";
import { ST_RefMode } from "./ST_RefMode";
import { ST_CellType } from "./ST_CellType";
import { ST_UnsignedShortHex } from "./ST_UnsignedShortHex";
import { ST_Guid } from "./ST_Guid";
import { ST_SheetState } from "./ST_SheetState";
import { ST_FilterOperator } from "./ST_FilterOperator";
import { ST_SheetViewType } from "./ST_SheetViewType";
import { ST_Comments } from "./ST_Comments";
import { ST_Objects } from "./ST_Objects";
import { ST_DateTimeGrouping } from "./ST_DateTimeGrouping";
import { ST_DynamicFilterType } from "./ST_DynamicFilterType";
import { ST_CellFormulaType } from "./ST_CellFormulaType";
import { ST_CalendarType } from "./ST_CalendarType";
import { ST_GradientType } from "./ST_GradientType";
import { ST_PageOrder } from "./ST_PageOrder";
import { ST_Orientation } from "./ST_Orientation";
import { ST_CellComments } from "./ST_CellComments";
import { ST_PrintError } from "./ST_PrintError";
import { ST_Pane } from "./ST_Pane";
import { ST_PaneState } from "./ST_PaneState";
import { ST_PatternType } from "./ST_PatternType";
import { ST_FontScheme } from "./ST_FontScheme";
import { ST_SortBy } from "./ST_SortBy";
import { ST_SortMethod } from "./ST_SortMethod";
import { ST_TotalsRowFunction } from "./ST_TotalsRowFunction";
import { ST_TableType } from "./ST_TableType";
import { ST_TableStyleType } from "./ST_TableStyleType";
import { ST_UnderlineValues } from "./ST_UnderlineValues";
import { ST_VerticalAlignRun } from "./ST_VerticalAlignRun";
import { ST_UpdateLinks } from "./ST_UpdateLinks";
import { ST_Visibility } from "./ST_Visibility";
/**
 * @hidden
 */
export declare class SpreadsheetML2009Main extends XmlNamespaceDefinitionBase {
    static $t: Type;
    static readonly b1: string;
    static readonly as: string;
    static readonly av: string;
    static readonly a9: string;
    static readonly ba: string;
    static readonly aw: string;
    static readonly ax: string;
    static readonly ay: string;
    static readonly az: string;
    static readonly a7: string;
    static readonly bd: string;
    static readonly be: string;
    static readonly bf: string;
    static readonly bj: string;
    static readonly bn: string;
    static readonly bo: string;
    static readonly bp: string;
    static readonly bs: string;
    static readonly bu: string;
    static readonly bw: string;
    static readonly b4: string;
    static readonly b5: string;
    static readonly b6: string;
    static readonly b8: string;
    static readonly cg: string;
    static readonly ch: string;
    static readonly ci: string;
    static readonly ck: string;
    static readonly cm: string;
    static readonly cn: string;
    static readonly co: string;
    static readonly cp: string;
    static readonly cr: string;
    static readonly a0: string;
    static readonly a1: string;
    static readonly a2: string;
    static readonly a3: string;
    static readonly a4: string;
    static readonly a5: string;
    static readonly a6: string;
    static readonly a8: string;
    static readonly ao: SpreadsheetML2009Main;
    constructor();
    s(a: ST_ConformanceClass): string;
    protected get_t(): string;
    get t(): string;
    static cz(a: XmlPartManagerBase, b: ST_DataValidationType, c: ST_DataValidationErrorStyle, d: ST_DataValidationImeMode, e: ST_DataValidationOperator, f: boolean, g: boolean, h: boolean, i: boolean, j: string, k: string, l: string, m: string): {
        p1: ST_DataValidationType;
        p2: ST_DataValidationErrorStyle;
        p3: ST_DataValidationImeMode;
        p4: ST_DataValidationOperator;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: string;
        p10: string;
        p11: string;
        p12: string;
    };
    static dh(a: XmlPartManagerBase, b?: ST_DataValidationType, c?: ST_DataValidationErrorStyle, d?: ST_DataValidationImeMode, e?: ST_DataValidationOperator, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: string, k?: string, l?: string, m?: string): void;
    static c0(a: XmlPartManagerBase, b: boolean, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>): {
        p1: boolean;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
    };
    static di(a: XmlPartManagerBase, b?: boolean, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>): void;
    static c1(a: XmlPartManagerBase): void;
    static dj(a: XmlPartManagerBase): void;
    static c2(a: XmlPartManagerBase): void;
    static dk(a: XmlPartManagerBase): void;
    static c3(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dl(a: XmlPartManagerBase, b: string): void;
    static df(a: XmlPartManagerBase): void;
    static cx(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static de(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>): void;
    static dd(a: XmlPartManagerBase): void;
    static db(a: XmlPartManagerBase, b: string, c?: Nullable$1<ST_CfType>, d?: number, e?: boolean, f?: Nullable$1<ST_ConditionalFormattingOperator>, g?: Nullable$1<boolean>): void;
    static cw(a: XmlPartManagerBase, b: ST_CfvoType, c: string, d: boolean): {
        p1: ST_CfvoType;
        p2: string;
        p3: boolean;
    };
    static dc(a: XmlPartManagerBase, b: ST_CfvoType, c?: boolean): void;
    static cy(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<ST_DataBarDirection>, h: Nullable$1<boolean>, i: Nullable$1<boolean>, j: Nullable$1<ST_DataBarAxisPosition>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<boolean>;
        p4: Nullable$1<boolean>;
        p5: Nullable$1<boolean>;
        p6: Nullable$1<ST_DataBarDirection>;
        p7: Nullable$1<boolean>;
        p8: Nullable$1<boolean>;
        p9: Nullable$1<ST_DataBarAxisPosition>;
    };
    static dg(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<ST_DataBarDirection>, h: Nullable$1<boolean>, i: Nullable$1<boolean>, j: Nullable$1<ST_DataBarAxisPosition>): void;
    static cv(a: XmlPartManagerBase, b: ST_IconSetType, c: number): {
        p1: ST_IconSetType;
        p2: number;
    };
    static da(a: XmlPartManagerBase, b: ST_IconSetType, c: number): void;
    static c4(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static dm(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static c5(a: XmlPartManagerBase): void;
    static dn(a: XmlPartManagerBase): void;
    static c8(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dr(a: XmlPartManagerBase, b: string): void;
    static c6(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static dp(a: XmlPartManagerBase, b: string): void;
    static c7(a: XmlPartManagerBase): void;
    static dq(a: XmlPartManagerBase): void;
    static c9(a: XmlPartManagerBase): void;
    static ds(a: XmlPartManagerBase): void;
}
/**
 * @hidden
 */
export declare class SpreadsheetMLMain extends XmlNamespaceDefinitionBase {
    static $t: Type;
    private static readonly l1;
    private static readonly l0;
    static readonly cl: string;
    static readonly cq: string;
    static readonly c2: string;
    static readonly c4: string;
    static readonly c8: string;
    static readonly df: string;
    static readonly dj: string;
    static readonly dk: string;
    static readonly dn: string;
    static readonly dp: string;
    static readonly dr: string;
    static readonly ds: string;
    static readonly du: string;
    static readonly dx: string;
    static readonly d4: string;
    static readonly d5: string;
    static readonly d8: string;
    static readonly ec: string;
    static readonly ed: string;
    static readonly ee: string;
    static readonly ef: string;
    static readonly eg: string;
    static readonly el: string;
    static readonly em: string;
    static readonly eo: string;
    static readonly e0: string;
    static readonly e1: string;
    static readonly e4: string;
    static readonly e8: string;
    static readonly e5: string;
    static readonly e7: string;
    static readonly e9: string;
    static readonly fb: string;
    static readonly fd: string;
    static readonly fe: string;
    static readonly fh: string;
    static readonly fi: string;
    static readonly fn: string;
    static readonly fo: string;
    static readonly fp: string;
    static readonly fv: string;
    static readonly fw: string;
    static readonly f1: string;
    static readonly f2: string;
    static readonly f4: string;
    static readonly f5: string;
    static readonly f6: string;
    static readonly f9: string;
    static readonly ga: string;
    static readonly gd: string;
    static readonly gg: string;
    static readonly gh: string;
    static readonly gi: string;
    static readonly gs: string;
    static readonly gt: string;
    static readonly g3: string;
    static readonly g8: string;
    static readonly he: string;
    static readonly hf: string;
    static readonly hi: string;
    static readonly hk: string;
    static readonly hl: string;
    static readonly ho: string;
    static readonly hv: string;
    static readonly hw: string;
    static readonly hx: string;
    static readonly hy: string;
    static readonly hz: string;
    static readonly h0: string;
    static readonly h1: string;
    static readonly h2: string;
    static readonly h3: string;
    static readonly h4: string;
    static readonly h5: string;
    static readonly h6: string;
    static readonly h7: string;
    static readonly h8: string;
    static readonly h9: string;
    static readonly ib: string;
    static readonly ic: string;
    static readonly ie: string;
    static readonly ii: string;
    static readonly il: string;
    static readonly im: string;
    static readonly it: string;
    static readonly iv: string;
    static readonly iy: string;
    static readonly i3: string;
    static readonly i4: string;
    static readonly i5: string;
    static readonly i6: string;
    static readonly jd: string;
    static readonly jk: string;
    static readonly jw: string;
    static readonly j2: string;
    static readonly j3: string;
    static readonly j4: string;
    static readonly j6: string;
    static readonly j8: string;
    static readonly kh: string;
    static readonly b8: string;
    static readonly ks: string;
    static readonly ku: string;
    static readonly kv: string;
    static readonly ll: string;
    static readonly lm: string;
    static readonly lo: string;
    static readonly lp: string;
    static readonly lq: string;
    static readonly ly: string;
    static readonly l2: string;
    static readonly l4: string;
    static readonly l6: string;
    static readonly l7: string;
    static readonly l9: string;
    static readonly ma: string;
    static readonly mb: string;
    static readonly mf: string;
    static readonly mk: string;
    static readonly mm: string;
    static readonly mo: string;
    static readonly mp: string;
    static readonly mq: string;
    static readonly m5: string;
    static readonly nb: string;
    static readonly ne: string;
    static readonly nf: string;
    static readonly ng: string;
    static readonly nm: string;
    static readonly ns: string;
    static readonly nt: string;
    static readonly nu: string;
    static readonly n1: string;
    static readonly n6: string;
    static readonly oq: string;
    static readonly os: string;
    static readonly ow: string;
    static readonly oz: string;
    static readonly o0: string;
    static readonly o2: string;
    static readonly pa: string;
    static readonly pd: string;
    static readonly pi: string;
    static readonly pk: string;
    static readonly pl: string;
    static readonly pm: string;
    static readonly pn: string;
    static readonly pp: string;
    static readonly pq: string;
    static readonly pr: string;
    static readonly ps: string;
    static readonly pt: string;
    static readonly pu: string;
    static readonly pv: string;
    static readonly pg: string;
    static readonly qr: string;
    static readonly qx: string;
    static readonly qz: string;
    static readonly q5: string;
    static readonly q6: string;
    static readonly ra: string;
    static readonly rc: string;
    static readonly re: string;
    static readonly rk: string;
    static readonly rl: string;
    static readonly rn: string;
    static readonly ro: string;
    static readonly rr: string;
    static readonly rs: string;
    static readonly rt: string;
    static readonly ru: string;
    static readonly rv: string;
    static readonly rw: string;
    static readonly rx: string;
    static readonly ry: string;
    static readonly r2: string;
    static readonly sc: string;
    static readonly se: string;
    static readonly sk: string;
    static readonly sr: string;
    static readonly s1: string;
    static readonly s5: string;
    static readonly s7: string;
    static readonly s8: string;
    static readonly tj: string;
    static readonly to: string;
    static readonly tp: string;
    static readonly ts: string;
    static readonly tu: string;
    static readonly tx: string;
    static readonly t0: string;
    static readonly ap: SpreadsheetMLMain;
    constructor();
    s(a: ST_ConformanceClass): string;
    protected get_t(): string;
    get t(): string;
    private static uj;
    private static hu;
    private static st;
    private static vs;
    private static abk;
    static vt(a: XmlPartManagerBase, b: string, c: ST_BorderStyle): {
        p2: ST_BorderStyle;
    };
    static abl(a: XmlPartManagerBase, b: string, c?: ST_BorderStyle): void;
    static vu(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<number>, e: Nullable$1<ST_UnsignedIntHex>, f: Nullable$1<number>, g: number): {
        p2: Nullable$1<boolean>;
        p3: Nullable$1<number>;
        p4: Nullable$1<ST_UnsignedIntHex>;
        p5: Nullable$1<number>;
        p6: number;
    };
    static abm(a: XmlPartManagerBase, b: string, c?: Nullable$1<boolean>, d?: Nullable$1<number>, e?: Nullable$1<ST_UnsignedIntHex>, f?: Nullable$1<number>, g?: number): void;
    private static vv;
    private static abn;
    private static vw;
    private static abo;
    private static vx;
    private static abp;
    static uk(a: XmlPartManagerBase, b: Nullable$1<ST_HorizontalAlignment>, c: Nullable$1<ST_VerticalAlignment>, d: Nullable$1<number>, e: boolean, f: Nullable$1<number>, g: Nullable$1<number>, h: boolean, i: boolean, j: Nullable$1<number>): {
        p1: Nullable$1<ST_HorizontalAlignment>;
        p2: Nullable$1<ST_VerticalAlignment>;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: boolean;
        p8: boolean;
        p9: Nullable$1<number>;
    };
    static aac(a: XmlPartManagerBase, b?: Nullable$1<ST_HorizontalAlignment>, c?: Nullable$1<ST_VerticalAlignment>, d?: Nullable$1<number>, e?: boolean, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: boolean, i?: boolean, j?: Nullable$1<number>): void;
    static ul(a: XmlPartManagerBase, b: boolean, c: boolean): {
        p1: boolean;
        p2: boolean;
    };
    static aad(a: XmlPartManagerBase, b?: boolean, c?: boolean): void;
    static um(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aae(a: XmlPartManagerBase, b: string): void;
    static un(a: XmlPartManagerBase): void;
    static aaf(a: XmlPartManagerBase): void;
    static uo(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aag(a: XmlPartManagerBase, b: string): void;
    static up(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static aah(a: XmlPartManagerBase, b?: boolean): void;
    static uq(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static aai(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static ur(a: XmlPartManagerBase): void;
    static aaj(a: XmlPartManagerBase): void;
    static us(a: XmlPartManagerBase): void;
    static aak(a: XmlPartManagerBase): void;
    static ut(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
    };
    static aal(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean): void;
    static uu(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aam(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static uv(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aan(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static uw(a: XmlPartManagerBase, b: number, c: Nullable$1<number>, d: Nullable$1<number>, e: boolean, f: boolean): {
        p1: number;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: boolean;
    };
    static aao(a: XmlPartManagerBase, b?: number, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: boolean, f?: boolean): void;
    static ux(a: XmlPartManagerBase, b: Nullable$1<number>, c: ST_CalcMode, d: boolean, e: ST_RefMode, f: boolean, g: number, h: number, i: boolean, j: boolean, k: boolean, l: boolean, m: Nullable$1<number>, n: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: ST_CalcMode;
        p3: boolean;
        p4: ST_RefMode;
        p5: boolean;
        p6: number;
        p7: number;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: Nullable$1<number>;
        p13: Nullable$1<boolean>;
    };
    static aap(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: ST_CalcMode, d?: boolean, e?: ST_RefMode, f?: boolean, g?: number, h?: number, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: Nullable$1<number>, n?: Nullable$1<boolean>): void;
    static uy(a: XmlPartManagerBase, b: string, c: boolean): {
        p1: string;
        p2: boolean;
    };
    static aaq(a: XmlPartManagerBase, b: string, c?: boolean): void;
    static uz(a: XmlPartManagerBase, b: string, c: number, d: ST_CellType, e: number, f: number, g: boolean): {
        p1: string;
        p2: number;
        p3: ST_CellType;
        p4: number;
        p5: number;
        p6: boolean;
    };
    static ar(a: string): ST_CellType;
    static aar(a: XmlPartManagerBase, b: string, c?: number, d?: ST_CellType, e?: number, f?: number, g?: boolean): void;
    static u0(a: XmlPartManagerBase, b: string, c: ST_CellType, d: number): {
        p1: string;
        p2: ST_CellType;
        p3: number;
    };
    static aas(a: XmlPartManagerBase, b?: string, c?: ST_CellType, d?: number): void;
    static u1(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aat(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static u2(a: XmlPartManagerBase, b: number, c: string, d: Nullable$1<number>, e: Nullable$1<number>, f: boolean, g: boolean): {
        p1: number;
        p2: string;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
    };
    static aau(a: XmlPartManagerBase, b: number, c?: string, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: boolean, g?: boolean): void;
    static u3(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aav(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static u4(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aaw(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static u5(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aax(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static u6(a: XmlPartManagerBase, b: string, c: Nullable$1<ST_CfType>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<boolean>, g: boolean, h: boolean, i: boolean, j: Nullable$1<ST_ConditionalFormattingOperator>, k: string, l: Nullable$1<ST_TimePeriod>, m: Nullable$1<number>, n: Nullable$1<number>, o: boolean, p: string, q: Nullable$1<boolean>): {
        p2: Nullable$1<ST_CfType>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<boolean>;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: Nullable$1<ST_ConditionalFormattingOperator>;
        p10: string;
        p11: Nullable$1<ST_TimePeriod>;
        p12: Nullable$1<number>;
        p13: Nullable$1<number>;
        p14: boolean;
        p15: string;
        p16: Nullable$1<boolean>;
    };
    static aay(a: XmlPartManagerBase, b: string, c?: Nullable$1<ST_CfType>, d?: Nullable$1<number>, e?: number, f?: boolean, g?: Nullable$1<boolean>, h?: Nullable$1<boolean>, i?: Nullable$1<boolean>, j?: Nullable$1<ST_ConditionalFormattingOperator>, k?: string, l?: Nullable$1<ST_TimePeriod>, m?: Nullable$1<number>, n?: Nullable$1<number>, o?: Nullable$1<boolean>, p?: string, q?: Nullable$1<boolean>): void;
    static u7(a: XmlPartManagerBase, b: ST_CfvoType, c: string, d: boolean): {
        p1: ST_CfvoType;
        p2: string;
        p3: boolean;
    };
    static u8(a: XmlPartManagerBase, b: string, c: ST_CfvoType, d: string, e: boolean): {
        p2: ST_CfvoType;
        p3: string;
        p4: boolean;
    };
    static aaz(a: XmlPartManagerBase, b: ST_CfvoType, c?: string, d?: boolean): void;
    static u9(a: XmlPartManagerBase): void;
    static aa0(a: XmlPartManagerBase): void;
    static vd(a: XmlPartManagerBase, b: number, c: boolean, d: number, e: boolean): {
        p1: number;
        p2: boolean;
        p3: number;
        p4: boolean;
    };
    static aa4(a: XmlPartManagerBase, b: number, c?: boolean, d?: number, e?: boolean): void;
    static va(a: XmlPartManagerBase, b: boolean, c: string): {
        p1: boolean;
        p2: string;
    };
    static aa1(a: XmlPartManagerBase, b?: boolean, c?: string): void;
    static vb(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedShortHex>, c: boolean, d: boolean): {
        p1: Nullable$1<ST_UnsignedShortHex>;
        p2: boolean;
        p3: boolean;
    };
    static aa2(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedShortHex>, c?: boolean, d?: boolean): void;
    static vc(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<number>, f: boolean, g: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
    };
    static aa3(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: Nullable$1<number>, f?: boolean, g?: boolean): void;
    static ve(a: XmlPartManagerBase, b: number, c: number): {
        p1: number;
        p2: number;
    };
    static aa5(a: XmlPartManagerBase, b: number, c: number): void;
    static vf(a: XmlPartManagerBase, b: number, c: number, d: Nullable$1<number>, e: number, f: boolean, g: boolean, h: boolean, i: boolean, j: number, k: boolean): {
        p1: number;
        p2: number;
        p3: Nullable$1<number>;
        p4: number;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: number;
        p10: boolean;
    };
    static aa6(a: XmlPartManagerBase, b: number, c: number, d?: Nullable$1<number>, e?: number, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: number, k?: boolean): void;
    static vg(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static aa7(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static vh(a: XmlPartManagerBase, b: Nullable$1<number>, c: boolean): {
        p1: Nullable$1<number>;
        p2: boolean;
    };
    static aa8(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: boolean): void;
    static aa9(a: XmlPartManagerBase): void;
    static vi(a: XmlPartManagerBase): void;
    static aba(a: XmlPartManagerBase): void;
    static vj(a: XmlPartManagerBase): void;
    static abb(a: XmlPartManagerBase): void;
    static vk(a: XmlPartManagerBase, b: string, c: number, d: Nullable$1<ST_Guid>, e: Nullable$1<number>): {
        p1: string;
        p2: number;
        p3: Nullable$1<ST_Guid>;
        p4: Nullable$1<number>;
    };
    static abc(a: XmlPartManagerBase, b: string, c: number, d?: Nullable$1<ST_Guid>, e?: Nullable$1<number>): void;
    static vl(a: XmlPartManagerBase): void;
    static abd(a: XmlPartManagerBase): void;
    static vm(a: XmlPartManagerBase): void;
    static abe(a: XmlPartManagerBase): void;
    static vn(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static abf(a: XmlPartManagerBase, b?: boolean): void;
    static vo(a: XmlPartManagerBase, b: List$1<string>, c: boolean): {
        p1: List$1<string>;
        p2: boolean;
    };
    static abg(a: XmlPartManagerBase, b: List$1<string>, c?: boolean): void;
    static vp(a: XmlPartManagerBase, b: number, c: string, d: string): {
        p1: number;
        p2: string;
        p3: string;
    };
    static abh(a: XmlPartManagerBase, b: number, c: string, d?: string): void;
    static vq(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string, o: string, p: string): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
        p14: string;
        p15: string;
    };
    static abi(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string, o?: string, p?: string): void;
    static vr(a: XmlPartManagerBase): void;
    static abj(a: XmlPartManagerBase): void;
    static vy(a: XmlPartManagerBase, b: ST_Guid, c: number, d: ST_SheetState, e: boolean): {
        p1: ST_Guid;
        p2: number;
        p3: ST_SheetState;
        p4: boolean;
    };
    static abq(a: XmlPartManagerBase, b: ST_Guid, c?: number, d?: ST_SheetState, e?: boolean): void;
    static vz(a: XmlPartManagerBase, b: string, c: ST_FilterOperator): {
        p1: string;
        p2: ST_FilterOperator;
    };
    static abr(a: XmlPartManagerBase, b: string, c?: ST_FilterOperator): void;
    static v0(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static abs(a: XmlPartManagerBase, b?: boolean): void;
    static v1(a: XmlPartManagerBase, b: ST_Guid, c: number, d: number, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: ST_SheetState, r: boolean, s: ST_SheetViewType, t: boolean, u: string): {
        p1: ST_Guid;
        p2: number;
        p3: number;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: ST_SheetState;
        p17: boolean;
        p18: ST_SheetViewType;
        p19: boolean;
        p20: string;
    };
    static abt(a: XmlPartManagerBase, b: ST_Guid, c?: number, d?: number, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: ST_SheetState, r?: boolean, s?: ST_SheetViewType, t?: boolean, u?: string): void;
    static v2(a: XmlPartManagerBase): void;
    static abu(a: XmlPartManagerBase): void;
    static v3(a: XmlPartManagerBase, b: string, c: ST_Guid, d: number, e: number, f: number, g: boolean, h: Nullable$1<number>, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: number, t: number, u: number, v: boolean, w: boolean, x: ST_Comments, y: ST_Objects): {
        p1: string;
        p2: ST_Guid;
        p3: number;
        p4: number;
        p5: number;
        p6: boolean;
        p7: Nullable$1<number>;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: number;
        p19: number;
        p20: number;
        p21: boolean;
        p22: boolean;
        p23: ST_Comments;
        p24: ST_Objects;
    };
    static abv(a: XmlPartManagerBase, b: string, c: ST_Guid, d: number, e: number, f: number, g?: boolean, h?: Nullable$1<number>, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: number, t?: number, u?: number, v?: boolean, w?: boolean, x?: ST_Comments, y?: ST_Objects): void;
    static v4(a: XmlPartManagerBase): void;
    static abw(a: XmlPartManagerBase): void;
    static v5(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<boolean>;
    };
    static abx(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<boolean>): void;
    static v6(a: XmlPartManagerBase, b: List$1<string>, c: ST_DataValidationType, d: ST_DataValidationErrorStyle, e: ST_DataValidationImeMode, f: ST_DataValidationOperator, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string): {
        p1: List$1<string>;
        p2: ST_DataValidationType;
        p3: ST_DataValidationErrorStyle;
        p4: ST_DataValidationImeMode;
        p5: ST_DataValidationOperator;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
    };
    static aby(a: XmlPartManagerBase, b: List$1<string>, c?: ST_DataValidationType, d?: ST_DataValidationErrorStyle, e?: ST_DataValidationImeMode, f?: ST_DataValidationOperator, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string): void;
    static v7(a: XmlPartManagerBase, b: string, c: ST_DataValidationType, d: ST_DataValidationErrorStyle, e: ST_DataValidationImeMode, f: ST_DataValidationOperator, g: boolean, h: boolean, i: boolean, j: boolean, k: string, l: string, m: string, n: string): {
        p1: string;
        p2: ST_DataValidationType;
        p3: ST_DataValidationErrorStyle;
        p4: ST_DataValidationImeMode;
        p5: ST_DataValidationOperator;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: string;
        p11: string;
        p12: string;
        p13: string;
    };
    static abz(a: XmlPartManagerBase, b: string, c?: ST_DataValidationType, d?: ST_DataValidationErrorStyle, e?: ST_DataValidationImeMode, f?: ST_DataValidationOperator, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: string, l?: string, m?: string, n?: string): void;
    static v8(a: XmlPartManagerBase, b: boolean, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>): {
        p1: boolean;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
    };
    static ab0(a: XmlPartManagerBase, b?: boolean, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>): void;
    static v9(a: XmlPartManagerBase, b: ST_DateTimeGrouping, c: number, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: Nullable$1<number>, h: Nullable$1<number>): {
        p1: ST_DateTimeGrouping;
        p2: number;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
    };
    static ab1(a: XmlPartManagerBase, b: ST_DateTimeGrouping, c: number, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: Nullable$1<number>): void;
    static wa(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static ab2(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static wb(a: XmlPartManagerBase): void;
    static ab3(a: XmlPartManagerBase): void;
    static wc(a: XmlPartManagerBase, b: string, c: string): {
        p1: string;
        p2: string;
    };
    static ab4(a: XmlPartManagerBase, b?: string, c?: string): void;
    static we(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string, g: string, h: string, i: Nullable$1<number>, j: boolean, k: boolean, l: boolean, m: boolean, n: Nullable$1<number>, o: string, p: boolean, q: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: string;
        p7: string;
        p8: Nullable$1<number>;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: Nullable$1<number>;
        p14: string;
        p15: boolean;
        p16: boolean;
    };
    static ab6(a: XmlPartManagerBase, b: string, c: string, d?: string, e?: string, f?: string, g?: string, h?: string, i?: Nullable$1<number>, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: Nullable$1<number>, o?: string, p?: boolean, q?: boolean): void;
    static wd(a: XmlPartManagerBase, b: string, c: string, d: Nullable$1<number>): {
        p1: string;
        p2: string;
        p3: Nullable$1<number>;
    };
    static ab5(a: XmlPartManagerBase, b: string, c?: string, d?: Nullable$1<number>): void;
    static wf(a: XmlPartManagerBase): void;
    static ab7(a: XmlPartManagerBase): void;
    static wg(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static ab8(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static wh(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ab9(a: XmlPartManagerBase, b: string): void;
    static wi(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aca(a: XmlPartManagerBase, b: string): void;
    static wj(a: XmlPartManagerBase, b: string, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: Nullable$1<number>, l: Nullable$1<number>, m: Nullable$1<number>, n: Nullable$1<number>, o: Nullable$1<number>, p: Nullable$1<number>, q: Nullable$1<number>, r: Nullable$1<number>, s: Nullable$1<number>, t: Nullable$1<number>): {
        p1: string;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: Nullable$1<number>;
        p11: Nullable$1<number>;
        p12: Nullable$1<number>;
        p13: Nullable$1<number>;
        p14: Nullable$1<number>;
        p15: Nullable$1<number>;
        p16: Nullable$1<number>;
        p17: Nullable$1<number>;
        p18: Nullable$1<number>;
        p19: Nullable$1<number>;
    };
    static acb(a: XmlPartManagerBase, b: string, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: Nullable$1<number>, l?: Nullable$1<number>, m?: Nullable$1<number>, n?: Nullable$1<number>, o?: Nullable$1<number>, p?: Nullable$1<number>, q?: Nullable$1<number>, r?: Nullable$1<number>, s?: Nullable$1<number>, t?: Nullable$1<number>): void;
    static wk(a: XmlPartManagerBase, b?: string): void;
    static acc(a: XmlPartManagerBase, b?: string): void;
    static wl(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static acd(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static wm(a: XmlPartManagerBase, b: ST_DynamicFilterType, c: Nullable$1<number>, d: Nullable$1<number>): {
        p1: ST_DynamicFilterType;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
    };
    static ace(a: XmlPartManagerBase, b: ST_DynamicFilterType, c?: Nullable$1<number>, d?: Nullable$1<number>): void;
    static wn(a: XmlPartManagerBase, b: ST_DynamicFilterType, c: Nullable$1<number>, d: Nullable$1<Date>, e: Nullable$1<Date>): {
        p1: ST_DynamicFilterType;
        p2: Nullable$1<number>;
        p3: Nullable$1<Date>;
        p4: Nullable$1<Date>;
    };
    static acf(a: XmlPartManagerBase, b: ST_DynamicFilterType, c?: Nullable$1<number>, d?: Nullable$1<Date>, e?: Nullable$1<Date>): void;
    static wo(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static acg(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static wp(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ach(a: XmlPartManagerBase, b: string): void;
    static wq(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aci(a: XmlPartManagerBase, b: string): void;
    static wr(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acj(a: XmlPartManagerBase, b: string, c?: string): void;
    static ws(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static ack(a: XmlPartManagerBase, b?: boolean): void;
    static wt(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acl(a: XmlPartManagerBase, b: string): void;
    static wu(a: XmlPartManagerBase): void;
    static acm(a: XmlPartManagerBase): void;
    static wv(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acn(a: XmlPartManagerBase, b: string): void;
    static ww(a: XmlPartManagerBase): void;
    static aco(a: XmlPartManagerBase): void;
    static wx(a: XmlPartManagerBase): void;
    static acp(a: XmlPartManagerBase): void;
    static wy(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static acq(a: XmlPartManagerBase, b: number): void;
    static wz(a: XmlPartManagerBase, b: ST_CellFormulaType, c: boolean, d: string, e: boolean, f: boolean, g: boolean, h: boolean, i: string, j: string, k: boolean, l: Nullable$1<number>, m: boolean, n: string): {
        p1: ST_CellFormulaType;
        p2: boolean;
        p3: string;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: string;
        p9: string;
        p10: boolean;
        p11: Nullable$1<number>;
        p12: boolean;
        p13: string;
    };
    static acr(a: XmlPartManagerBase, b: string, c?: ST_CellFormulaType, d?: boolean, e?: string, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: string, k?: string, l?: boolean, m?: Nullable$1<number>, n?: boolean): void;
    static w0(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static acs(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<number>, d?: Nullable$1<ST_UnsignedIntHex>, e?: Nullable$1<number>, f?: number): void;
    static w2(a: XmlPartManagerBase, b: string, c: boolean, d: number): {
        p1: string;
        p2: boolean;
        p3: number;
    };
    static acu(a: XmlPartManagerBase, b: string, c?: boolean, d?: number): void;
    static w1(a: XmlPartManagerBase, b: string, c: boolean, d: string, e: number[], f: number[], g: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: string;
        p4: number[];
        p5: number[];
        p6: Nullable$1<number>;
    };
    static act(a: XmlPartManagerBase, b: string, c?: boolean, d?: string, e?: number[], f?: number[], g?: Nullable$1<number>): void;
    static w3(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
    };
    static acv(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: string, f?: string): void;
    static w4(a: XmlPartManagerBase): void;
    static acw(a: XmlPartManagerBase): void;
    static w5(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static acx(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static w6(a: XmlPartManagerBase, b: number, c: boolean, d: boolean): {
        p1: number;
        p2: boolean;
        p3: boolean;
    };
    static acy(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean): void;
    static w7(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static acz(a: XmlPartManagerBase, b: string): void;
    static w8(a: XmlPartManagerBase, b: boolean, c: ST_CalendarType): {
        p1: boolean;
        p2: ST_CalendarType;
    };
    static ac0(a: XmlPartManagerBase, b?: boolean, c?: ST_CalendarType): void;
    static w9(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac1(a: XmlPartManagerBase, b: string): void;
    static xa(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac2(a: XmlPartManagerBase, b: string): void;
    static xb(a: XmlPartManagerBase): void;
    static ac3(a: XmlPartManagerBase): void;
    static xc(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ac4(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static xf(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac7(a: XmlPartManagerBase, b: string): void;
    static xd(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac5(a: XmlPartManagerBase, b: string): void;
    static xe(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ac6(a: XmlPartManagerBase, b: string): void;
    static xg(a: XmlPartManagerBase, b: ST_GradientType, c: number, d: number, e: number, f: number, g: number): {
        p1: ST_GradientType;
        p2: number;
        p3: number;
        p4: number;
        p5: number;
        p6: number;
    };
    static ac8(a: XmlPartManagerBase, b?: ST_GradientType, c?: number, d?: number, e?: number, f?: number, g?: number): void;
    static xh(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static ac9(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean): void;
    static xi(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static ada(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static xj(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
    };
    static adb(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: string, f?: string): void;
    static xk(a: XmlPartManagerBase): void;
    static adc(a: XmlPartManagerBase): void;
    static xl(a: XmlPartManagerBase, b: ST_IconSetType, c: Nullable$1<number>): {
        p1: ST_IconSetType;
        p2: Nullable$1<number>;
    };
    static add(a: XmlPartManagerBase, b: ST_IconSetType, c?: Nullable$1<number>): void;
    private static ade;
    static xm(a: XmlPartManagerBase, b: ST_IconSetType, c: boolean, d: boolean, e: Nullable$1<boolean>, f: boolean): {
        p1: ST_IconSetType;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<boolean>;
        p5: boolean;
    };
    static adf(a: XmlPartManagerBase, b: string, c: Nullable$1<ST_IconSetType>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>, g: Nullable$1<boolean>): void;
    static xn(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static adg(a: XmlPartManagerBase, b?: boolean): void;
    static xo(a: XmlPartManagerBase): void;
    static adh(a: XmlPartManagerBase): void;
    static xp(a: XmlPartManagerBase): void;
    static adi(a: XmlPartManagerBase): void;
    static xq(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static adj(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static xr(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adk(a: XmlPartManagerBase, b: string): void;
    static xs(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adl(a: XmlPartManagerBase, b: string): void;
    static xt(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adm(a: XmlPartManagerBase, b: string): void;
    static xu(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static adn(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static xv(a: XmlPartManagerBase): void;
    static xw(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: Nullable$1<number>, q: string, r: boolean, s: boolean, t: boolean, u: boolean, v: boolean, w: boolean, x: boolean, y: boolean, z: boolean, aa: boolean, ab: boolean, ac: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: Nullable$1<number>;
        p16: string;
        p17: boolean;
        p18: boolean;
        p19: boolean;
        p20: boolean;
        p21: boolean;
        p22: boolean;
        p23: boolean;
        p24: boolean;
        p25: boolean;
        p26: boolean;
        p27: boolean;
        p28: boolean;
    };
    static ado(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: Nullable$1<number>, q?: string, r?: boolean, s?: boolean, t?: boolean, u?: boolean, v?: boolean, w?: boolean, x?: boolean, y?: boolean, z?: boolean, aa?: boolean, ab?: boolean, ac?: boolean): void;
    static xx(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static adp(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static xy(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adq(a: XmlPartManagerBase, b: string): void;
    static xz(a: XmlPartManagerBase, b: number, c: string): {
        p1: number;
        p2: string;
    };
    static adr(a: XmlPartManagerBase, b: number, c: string): void;
    static x0(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static ads(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static x1(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adt(a: XmlPartManagerBase, b: string): void;
    static x2(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static adu(a: XmlPartManagerBase, b: string): void;
    static x3(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: boolean): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static adv(a: XmlPartManagerBase, b?: string, c?: boolean, d?: boolean, e?: boolean): void;
    static x4(a: XmlPartManagerBase): void;
    static adw(a: XmlPartManagerBase): void;
    static x5(a: XmlPartManagerBase, b: string, c: string): {
        p1: string;
        p2: string;
    };
    static adx(a: XmlPartManagerBase, b?: string, c?: string): void;
    static x6(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static ady(a: XmlPartManagerBase, b?: boolean): void;
    static x7(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
    };
    static adz(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean): void;
    static x8(a: XmlPartManagerBase, b: number, c: number, d: number, e: number, f: number, g: number): {
        p1: number;
        p2: number;
        p3: number;
        p4: number;
        p5: number;
        p6: number;
    };
    static ad0(a: XmlPartManagerBase, b: number, c: number, d: number, e: number, f: number, g: number): void;
    static x9(a: XmlPartManagerBase, b: number, c: string, d: string, e: number, f: number, g: number, h: number, i: ST_PageOrder, j: ST_Orientation, k: boolean, l: boolean, m: boolean, n: ST_CellComments, o: boolean, p: ST_PrintError, q: number, r: number, s: number, t: string): {
        p1: number;
        p2: string;
        p3: string;
        p4: number;
        p5: number;
        p6: number;
        p7: number;
        p8: ST_PageOrder;
        p9: ST_Orientation;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: ST_CellComments;
        p14: boolean;
        p15: ST_PrintError;
        p16: number;
        p17: number;
        p18: number;
        p19: string;
    };
    static ad1(a: XmlPartManagerBase, b?: number, c?: string, d?: string, e?: number, f?: number, g?: number, h?: number, i?: ST_PageOrder, j?: ST_Orientation, k?: boolean, l?: boolean, m?: boolean, n?: ST_CellComments, o?: boolean, p?: ST_PrintError, q?: number, r?: number, s?: number, t?: string): void;
    static ya(a: XmlPartManagerBase, b: boolean, c: boolean): {
        p1: boolean;
        p2: boolean;
    };
    static ad2(a: XmlPartManagerBase, b?: boolean, c?: boolean): void;
    static yb(a: XmlPartManagerBase, b: number, c: number, d: string, e: ST_Pane, f: ST_PaneState): {
        p1: number;
        p2: number;
        p3: string;
        p4: ST_Pane;
        p5: ST_PaneState;
    };
    static ad3(a: XmlPartManagerBase, b?: number, c?: number, d?: string, e?: ST_Pane, f?: ST_PaneState): void;
    static yc(a: XmlPartManagerBase, b: Nullable$1<ST_PatternType>): {
        p1: Nullable$1<ST_PatternType>;
    };
    static ad4(a: XmlPartManagerBase, b?: Nullable$1<ST_PatternType>): void;
    static yd(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static ad5(a: XmlPartManagerBase, b: string): void;
    static ye(a: XmlPartManagerBase, b: number, c: string): {
        p1: number;
        p2: string;
    };
    static ad6(a: XmlPartManagerBase, b: number, c: string): void;
    static yf(a: XmlPartManagerBase): void;
    static ad7(a: XmlPartManagerBase): void;
    static yg(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: boolean, f: boolean): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
    };
    static ad8(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: boolean, f?: boolean): void;
    static yh(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<ST_UnsignedShortHex>): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<ST_UnsignedShortHex>;
    };
    static yi(a: XmlPartManagerBase, b: string, c: string, d: string, e: string, f: string, g: string, h: Nullable$1<number>): {
        p1: string;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: string;
        p7: Nullable$1<number>;
    };
    static ad9(a: XmlPartManagerBase, b: string, c: string, d: string, e?: Nullable$1<ST_UnsignedShortHex>): void;
    static aea(a: XmlPartManagerBase, b: string, c: string, d: string, e?: string, f?: string, g?: string, h?: Nullable$1<number>): void;
    static yj(a: XmlPartManagerBase): void;
    static aeb(a: XmlPartManagerBase): void;
    static yk(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<boolean>): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<boolean>;
    };
    static aec(a: XmlPartManagerBase, b?: Nullable$1<boolean>, c?: Nullable$1<boolean>): void;
    static yl(a: XmlPartManagerBase, b: number, c: number): {
        p1: number;
        p2: number;
    };
    static aed(a: XmlPartManagerBase, b: number, c: number): void;
    static ym(a: XmlPartManagerBase): void;
    static aee(a: XmlPartManagerBase): void;
    static yn(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aef(a: XmlPartManagerBase, b: string): void;
    static yo(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedIntHex>): {
        p1: Nullable$1<ST_UnsignedIntHex>;
    };
    static aeg(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedIntHex>): void;
    static yp(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static aeh(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static yq(a: XmlPartManagerBase, b: number, c: number): {
        p1: number;
        p2: number;
    };
    static aei(a: XmlPartManagerBase, b: number, c: number): void;
    static ys(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static aek(a: XmlPartManagerBase, b: number): void;
    static yr(a: XmlPartManagerBase, b: Nullable$1<number>, c: List$1<string>, d: number, e: boolean, f: Nullable$1<number>, g: boolean, h: boolean, i: number, j: boolean, k: boolean, l: boolean, m: boolean, n?: boolean): {
        p1: Nullable$1<number>;
        p2: List$1<string>;
        p3: number;
        p4: boolean;
        p5: Nullable$1<number>;
        p6: boolean;
        p7: boolean;
        p8: number;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
    };
    static aej(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: List$1<string>, d?: number, e?: boolean, f?: Nullable$1<number>, g?: boolean, h?: boolean, i?: number, j?: boolean, k?: boolean, l?: boolean, m?: boolean): void;
    static yt(a: XmlPartManagerBase): void;
    static ael(a: XmlPartManagerBase): void;
    static yu(a: XmlPartManagerBase, b: ST_FontScheme): {
        p1: ST_FontScheme;
    };
    static aem(a: XmlPartManagerBase, b: ST_FontScheme): void;
    static yv(a: XmlPartManagerBase, b: ST_Pane, c: string, d: number, e: List$1<string>): {
        p1: ST_Pane;
        p2: string;
        p3: number;
        p4: List$1<string>;
    };
    static aen(a: XmlPartManagerBase, b?: ST_Pane, c?: string, d?: number, e?: List$1<string>): void;
    static yw(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static aeo(a: XmlPartManagerBase, b?: boolean): void;
    static yx(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static aep(a: XmlPartManagerBase, b?: boolean): void;
    static yy(a: XmlPartManagerBase): void;
    static aeq(a: XmlPartManagerBase): void;
    static yz(a: XmlPartManagerBase, b: number, c: boolean): {
        p1: number;
        p2: boolean;
    };
    static aer(a: XmlPartManagerBase, b: number, c?: boolean): void;
    static y0(a: XmlPartManagerBase): void;
    static aes(a: XmlPartManagerBase): void;
    static y1(a: XmlPartManagerBase, b: string, c: number, d: ST_SheetState, e: string): {
        p1: string;
        p2: number;
        p3: ST_SheetState;
        p4: string;
    };
    static aet(a: XmlPartManagerBase, b: string, c: number, d: ST_SheetState, e: string): void;
    static y2(a: XmlPartManagerBase, b: number, c: number, d: Nullable$1<number>, e: boolean, f: boolean, g: boolean, h: boolean, i: number, j: number): {
        p1: number;
        p2: number;
        p3: Nullable$1<number>;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: number;
        p9: number;
    };
    static aeu(a: XmlPartManagerBase, b: number, c?: number, d?: Nullable$1<number>, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: number, j?: number): void;
    static y3(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static aev(a: XmlPartManagerBase, b: string): void;
    static y4(a: XmlPartManagerBase): void;
    static aew(a: XmlPartManagerBase): void;
    static y5(a: XmlPartManagerBase, b: boolean, c: boolean, d: string, e: boolean, f: boolean, g: boolean, h: string, i: boolean, j: boolean): {
        p1: boolean;
        p2: boolean;
        p3: string;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: string;
        p8: boolean;
        p9: boolean;
    };
    static aex(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: string, e?: boolean, f?: boolean, g?: boolean, h?: string, i?: boolean, j?: boolean): void;
    static y6(a: XmlPartManagerBase, b: Nullable$1<ST_UnsignedShortHex>, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean): {
        p1: Nullable$1<ST_UnsignedShortHex>;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
    };
    static aey(a: XmlPartManagerBase, b?: Nullable$1<ST_UnsignedShortHex>, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean): void;
    static b4(a: XmlPartManagerBase): boolean;
    static y7(a: XmlPartManagerBase, b: string, c: string, d: string, e: Nullable$1<number>, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: boolean, t: boolean, u: boolean): {
        p1: string;
        p2: string;
        p3: string;
        p4: Nullable$1<number>;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: boolean;
        p19: boolean;
        p20: boolean;
    };
    static aez(a: XmlPartManagerBase, b?: string, c?: string, d?: string, e?: Nullable$1<number>, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: boolean, t?: boolean, u?: boolean): void;
    static y8(a: XmlPartManagerBase): void;
    static ae0(a: XmlPartManagerBase): void;
    static y9(a: XmlPartManagerBase, b: number, c: boolean, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: boolean, k: boolean, l: boolean, m: boolean, n: ST_SheetViewType, o: string, p: number, q: number, r: number, s: number, t: number): {
        p1: number;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: boolean;
        p10: boolean;
        p11: boolean;
        p12: boolean;
        p13: ST_SheetViewType;
        p14: string;
        p15: number;
        p16: number;
        p17: number;
        p18: number;
        p19: number;
    };
    static ae1(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: boolean, k?: boolean, l?: boolean, m?: boolean, n?: ST_SheetViewType, o?: string, p?: number, q?: number, r?: number, s?: number, t?: number): void;
    static za(a: XmlPartManagerBase): void;
    static ae2(a: XmlPartManagerBase): void;
    static zb(a: XmlPartManagerBase): void;
    static ae3(a: XmlPartManagerBase): void;
    static zc(a: XmlPartManagerBase, b: string, c: boolean, d: ST_SortBy, e: string, f: Nullable$1<number>, g: ST_IconSetType, h: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: ST_SortBy;
        p4: string;
        p5: Nullable$1<number>;
        p6: ST_IconSetType;
        p7: Nullable$1<number>;
    };
    static ae4(a: XmlPartManagerBase, b: string, c?: boolean, d?: ST_SortBy, e?: string, f?: Nullable$1<number>, g?: ST_IconSetType, h?: Nullable$1<number>): void;
    private static ae5;
    static zd(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: ST_SortMethod): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: ST_SortMethod;
    };
    static ae6(a: XmlPartManagerBase, b: string, c?: boolean, d?: boolean, e?: ST_SortMethod): void;
    static ze(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
    };
    static ae7(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: Nullable$1<number>): void;
    static zf(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static ae8(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static zg(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static ae9(a: XmlPartManagerBase, b: number): void;
    static zh(a: XmlPartManagerBase, b: boolean): {
        p1: boolean;
    };
    static afa(a: XmlPartManagerBase, b?: boolean): void;
    static zi(a: XmlPartManagerBase): void;
    static afb(a: XmlPartManagerBase): void;
    static zj(a: XmlPartManagerBase, b: number): {
        p1: number;
    };
    static afc(a: XmlPartManagerBase, b: number): void;
    static zk(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): {
        p1: Nullable$1<boolean>;
        p2: Nullable$1<number>;
        p3: Nullable$1<ST_UnsignedIntHex>;
        p4: Nullable$1<number>;
        p5: number;
    };
    static afd(a: XmlPartManagerBase, b: Nullable$1<boolean>, c: Nullable$1<number>, d: Nullable$1<ST_UnsignedIntHex>, e: Nullable$1<number>, f: number): void;
    static zl(a: XmlPartManagerBase, b: number, c: string, d: string, e: ST_TotalsRowFunction, f: string, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: string, l: string, m: string): {
        p1: number;
        p2: string;
        p3: string;
        p4: ST_TotalsRowFunction;
        p5: string;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: string;
        p11: string;
        p12: string;
    };
    static afe(a: XmlPartManagerBase, b: number, c?: string, d?: string, e?: ST_TotalsRowFunction, f?: string, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: string, l?: string, m?: string): void;
    static zm(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aff(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static zn(a: XmlPartManagerBase, b: number, c: string, d: string, e: string, f: string, g: ST_TableType, h: number, i: boolean, j: boolean, k: number, l: boolean, m: boolean, n: Nullable$1<number>, o: Nullable$1<number>, p: Nullable$1<number>, q: Nullable$1<number>, r: Nullable$1<number>, s: Nullable$1<number>, t: string, u: string, v: string, w: Nullable$1<number>): {
        p1: number;
        p2: string;
        p3: string;
        p4: string;
        p5: string;
        p6: ST_TableType;
        p7: number;
        p8: boolean;
        p9: boolean;
        p10: number;
        p11: boolean;
        p12: boolean;
        p13: Nullable$1<number>;
        p14: Nullable$1<number>;
        p15: Nullable$1<number>;
        p16: Nullable$1<number>;
        p17: Nullable$1<number>;
        p18: Nullable$1<number>;
        p19: string;
        p20: string;
        p21: string;
        p22: Nullable$1<number>;
    };
    static afg(a: XmlPartManagerBase, b: number, c: string, d: string, e: string, f: string, g?: ST_TableType, h?: number, i?: boolean, j?: boolean, k?: number, l?: boolean, m?: boolean, n?: Nullable$1<number>, o?: Nullable$1<number>, p?: Nullable$1<number>, q?: Nullable$1<number>, r?: Nullable$1<number>, s?: Nullable$1<number>, t?: string, u?: string, v?: string, w?: Nullable$1<number>): void;
    static zo(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static afh(a: XmlPartManagerBase, b?: string): void;
    static zp(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static afi(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static zq(a: XmlPartManagerBase, b: string, c: boolean, d: boolean, e: Nullable$1<number>): {
        p1: string;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
    };
    static afj(a: XmlPartManagerBase, b: string, c?: boolean, d?: boolean, e?: Nullable$1<number>): void;
    static zr(a: XmlPartManagerBase, b: ST_TableStyleType, c: number, d: Nullable$1<number>): {
        p1: ST_TableStyleType;
        p2: number;
        p3: Nullable$1<number>;
    };
    static afk(a: XmlPartManagerBase, b: ST_TableStyleType, c?: number, d?: Nullable$1<number>): void;
    static zs(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>): {
        p1: string;
        p2: Nullable$1<boolean>;
        p3: Nullable$1<boolean>;
        p4: Nullable$1<boolean>;
        p5: Nullable$1<boolean>;
    };
    static afl(a: XmlPartManagerBase, b: string, c: Nullable$1<boolean>, d: Nullable$1<boolean>, e: Nullable$1<boolean>, f: Nullable$1<boolean>): void;
    static zt(a: XmlPartManagerBase, b: Nullable$1<number>, c: string, d: string): {
        p1: Nullable$1<number>;
        p2: string;
        p3: string;
    };
    static afm(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: string, d?: string): void;
    static zu(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static afn(a: XmlPartManagerBase, b: string): void;
    static zv(a: XmlPartManagerBase): void;
    static afo(a: XmlPartManagerBase): void;
    static zx(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static afq(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static zw(a: XmlPartManagerBase, b: number, c: boolean, d: boolean, e: Nullable$1<number>): {
        p1: number;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
    };
    static afp(a: XmlPartManagerBase, b: number, c?: boolean, d?: boolean, e?: Nullable$1<number>): void;
    static zy(a: XmlPartManagerBase, b: string, c: boolean): {
        p1: string;
        p2: boolean;
    };
    static afr(a: XmlPartManagerBase, b: string, c?: boolean): void;
    static zz(a: XmlPartManagerBase, b: ST_UnderlineValues): {
        p1: ST_UnderlineValues;
    };
    static afs(a: XmlPartManagerBase, b?: ST_UnderlineValues): void;
    static z1(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static afu(a: XmlPartManagerBase, b: string): void;
    static afv(a: XmlPartManagerBase, b: string, c: boolean): void;
    static z0(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static aft(a: XmlPartManagerBase, b?: Nullable$1<number>): void;
    static z2(a: XmlPartManagerBase, b: ST_VerticalAlignRun): {
        p1: ST_VerticalAlignRun;
    };
    static afw(a: XmlPartManagerBase, b: ST_VerticalAlignRun): void;
    static z3(a: XmlPartManagerBase, b: ST_BorderStyle): {
        p1: ST_BorderStyle;
    };
    static afx(a: XmlPartManagerBase, b?: ST_BorderStyle): void;
    static z4(a: XmlPartManagerBase, b: ST_ConformanceClass): {
        p1: ST_ConformanceClass;
    };
    static afy(a: XmlPartManagerBase, b?: ST_ConformanceClass): void;
    static z5(a: XmlPartManagerBase, b: boolean, c: ST_Objects, d: boolean, e: boolean, f: boolean, g: boolean, h: boolean, i: boolean, j: ST_UpdateLinks, k: string, l: boolean, m: boolean, n: boolean, o: boolean, p: boolean, q: boolean, r: boolean, s: Nullable$1<number>, t: boolean): {
        p1: boolean;
        p2: ST_Objects;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: boolean;
        p7: boolean;
        p8: boolean;
        p9: ST_UpdateLinks;
        p10: string;
        p11: boolean;
        p12: boolean;
        p13: boolean;
        p14: boolean;
        p15: boolean;
        p16: boolean;
        p17: boolean;
        p18: Nullable$1<number>;
        p19: boolean;
    };
    static afz(a: XmlPartManagerBase, b?: boolean, c?: ST_Objects, d?: boolean, e?: boolean, f?: boolean, g?: boolean, h?: boolean, i?: boolean, j?: ST_UpdateLinks, k?: string, l?: boolean, m?: boolean, n?: boolean, o?: boolean, p?: boolean, q?: boolean, r?: boolean, s?: Nullable$1<number>, t?: boolean): void;
    static z6(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: Nullable$1<number>, f: Nullable$1<number>): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
    };
    static af0(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: Nullable$1<number>, f?: Nullable$1<number>): void;
    static z7(a: XmlPartManagerBase, b: boolean, c: boolean, d: boolean, e: string, f: string, g: string, h: Nullable$1<number>, i: string, j: string, k: string, l: Nullable$1<number>): {
        p1: boolean;
        p2: boolean;
        p3: boolean;
        p4: string;
        p5: string;
        p6: string;
        p7: Nullable$1<number>;
        p8: string;
        p9: string;
        p10: string;
        p11: Nullable$1<number>;
    };
    static af1(a: XmlPartManagerBase, b?: boolean, c?: boolean, d?: boolean, e?: string, f?: string, g?: string, h?: Nullable$1<number>, i?: string, j?: string, k?: string, l?: Nullable$1<number>): void;
    static z8(a: XmlPartManagerBase, b: ST_Visibility, c: boolean, d: boolean, e: boolean, f: boolean, g: Nullable$1<number>, h: Nullable$1<number>, i: Nullable$1<number>, j: Nullable$1<number>, k: number, l: number, m: number, n: boolean): {
        p1: ST_Visibility;
        p2: boolean;
        p3: boolean;
        p4: boolean;
        p5: boolean;
        p6: Nullable$1<number>;
        p7: Nullable$1<number>;
        p8: Nullable$1<number>;
        p9: Nullable$1<number>;
        p10: number;
        p11: number;
        p12: number;
        p13: boolean;
    };
    static af2(a: XmlPartManagerBase, b?: ST_Visibility, c?: boolean, d?: boolean, e?: boolean, f?: boolean, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<number>, k?: number, l?: number, m?: number, n?: boolean): void;
    static z9(a: XmlPartManagerBase): void;
    static af3(a: XmlPartManagerBase): void;
    static aaa(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<number>, g: boolean, h: boolean, i: Nullable$1<boolean>, j: Nullable$1<boolean>, k: Nullable$1<boolean>, l: Nullable$1<boolean>, m: Nullable$1<boolean>, n: Nullable$1<boolean>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<number>;
        p6: boolean;
        p7: boolean;
        p8: Nullable$1<boolean>;
        p9: Nullable$1<boolean>;
        p10: Nullable$1<boolean>;
        p11: Nullable$1<boolean>;
        p12: Nullable$1<boolean>;
        p13: Nullable$1<boolean>;
    };
    static af4(a: XmlPartManagerBase, b?: Nullable$1<number>, c?: Nullable$1<number>, d?: Nullable$1<number>, e?: Nullable$1<number>, f?: Nullable$1<number>, g?: boolean, h?: boolean, i?: Nullable$1<boolean>, j?: Nullable$1<boolean>, k?: Nullable$1<boolean>, l?: Nullable$1<boolean>, m?: Nullable$1<boolean>, n?: Nullable$1<boolean>): void;
    static aab(a: XmlPartManagerBase, b: number, c: string, d: string, e: boolean): {
        p1: number;
        p2: string;
        p3: string;
        p4: boolean;
    };
    static af5(a: XmlPartManagerBase, b: number, c: string, d: string, e?: boolean): void;
}
