/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, typeCast, markType } from "igniteui-webcomponents-core";
import { DataBarConditionalFormat } from "./DataBarConditionalFormat";
import { IconSetConditionalFormat } from "./IconSetConditionalFormat";
import { TextOperatorConditionalFormat } from "./TextOperatorConditionalFormat";
/**
 * @hidden
 */
var ConditionBaseExtensions = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ConditionBaseExtensions, _super);
    function ConditionBaseExtensions() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ConditionBaseExtensions.a = function (a) {
        var b = a.conditionType == 3 ? typeCast(DataBarConditionalFormat.$, a) : null;
        if (b != null) {
            return b._cz ? 2 : 0;
        }
        var c = a.conditionType == 5 ? typeCast(IconSetConditionalFormat.$, a) : null;
        if (c != null && c.isCustom) {
            return 1;
        }
        var d = a.conditionType == 8 ? typeCast(TextOperatorConditionalFormat.$, a) : null;
        if (d != null && d.textFormula != null) {
            return 1;
        }
        return a._z ? 1 : 0;
    };
    ConditionBaseExtensions.b = function (a) {
        var b = ConditionBaseExtensions.a(a);
        return b != 0;
    };
    ConditionBaseExtensions.$t = markType(ConditionBaseExtensions, 'ConditionBaseExtensions');
    return ConditionBaseExtensions;
}(Base));
export { ConditionBaseExtensions };
