/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends, __values } from "tslib";
import { OfficeDocumentManager } from "./OfficeDocumentManager";
import { DrawingMLSpreadsheetDrawing } from "./DrawingMLSpreadsheetDrawing";
import { fromEnum, markType } from "igniteui-webcomponents-core";
import { ExcelNamespace } from "./ExcelNamespace";
import { Excel2006Main } from "./Excel2006Main";
import { SpreadsheetMLMain } from "./SpreadsheetMLMain";
import { SpreadsheetML2009Main } from "./SpreadsheetML2009Main";
import { BmpPartManager } from "./BmpPartManager";
import { EmfPartManager } from "./EmfPartManager";
import { GifPartManager } from "./GifPartManager";
import { JpegPartManager } from "./JpegPartManager";
import { PngPartManager } from "./PngPartManager";
import { TiffPartManager } from "./TiffPartManager";
import { WmfPartManager } from "./WmfPartManager";
import { WorkbookPartManagerBase } from "./WorkbookPartManagerBase";
/**
 * @hidden
 */
var ExcelDocumentManager = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ExcelDocumentManager, _super);
    function ExcelDocumentManager(a, b, c, d) {
        return _super.call(this, a, b, c, d) || this;
    }
    ExcelDocumentManager.prototype.get__x = function () {
        return 0;
    };
    Object.defineProperty(ExcelDocumentManager.prototype, "_x", {
        get: function () {
            return this.get__x();
        },
        enumerable: false,
        configurable: true
    });
    ExcelDocumentManager.prototype._ac = function () {
        var e_1, _a;
        if (this._ae == false) {
            return 0;
        }
        try {
            for (var _c = __values(fromEnum(this._b.getRelationships())), _d = _c.next(); !_d.done; _d = _c.next()) {
                var a = _d.value;
                switch (a.relationshipType) {
                    case WorkbookPartManagerBase.a7: return 0;
                    case WorkbookPartManagerBase.a6: return 1;
                }
            }
        }
        catch (e_1_1) {
            e_1 = { error: e_1_1 };
        }
        finally {
            try {
                if (_d && !_d.done && (_a = _c.return))
                    _a.call(_c);
            }
            finally {
                if (e_1)
                    throw e_1.error;
            }
        }
        return 0;
    };
    ExcelDocumentManager.prototype._bj = function () {
        _super.prototype._bj.call(this);
        this._bm(DrawingMLSpreadsheetDrawing.dp);
        this._bm(ExcelNamespace.ao);
        this._bm(Excel2006Main.ao);
        this._bm(SpreadsheetMLMain.ap);
        this._bm(SpreadsheetML2009Main.ao);
        this._bn(BmpPartManager.y);
        this._bn(EmfPartManager.y);
        this._bn(GifPartManager.y);
        this._bn(JpegPartManager.y);
        this._bn(PngPartManager.y);
        this._bn(TiffPartManager.y);
        this._bn(WmfPartManager.y);
    };
    ExcelDocumentManager.prototype.get__v = function () {
        return DrawingMLSpreadsheetDrawing.dp;
    };
    Object.defineProperty(ExcelDocumentManager.prototype, "_v", {
        get: function () {
            return this.get__v();
        },
        enumerable: false,
        configurable: true
    });
    ExcelDocumentManager.prototype._bs = function () {
        switch (this._ab) {
            case 0: return ExcelDocumentManager._br;
            case 1: return ExcelDocumentManager._bq;
            default: return ExcelDocumentManager._br;
        }
    };
    ExcelDocumentManager.prototype._bt = function () {
        switch (this._ab) {
            case 0: return ExcelDocumentManager._bv;
            case 1: return ExcelDocumentManager._bu;
            default: return ExcelDocumentManager._bv;
        }
    };
    ExcelDocumentManager.$t = markType(ExcelDocumentManager, 'ExcelDocumentManager', OfficeDocumentManager.$);
    ExcelDocumentManager._br = "http://schemas.openxmlformats.org/officeDocument/2006/relationships/externalLinkPath";
    ExcelDocumentManager._bq = "http://purl.oclc.org/ooxml/officeDocument/relationships/externalLinkPath";
    ExcelDocumentManager._bv = "http://schemas.openxmlformats.org/officeDocument/2006/relationships/oleObject";
    ExcelDocumentManager._bu = "http://purl.oclc.org/ooxml/officeDocument/relationships/oleObject";
    return ExcelDocumentManager;
}(OfficeDocumentManager));
export { ExcelDocumentManager };
