import { OfficeDocumentManager } from "./OfficeDocumentManager";
import { OfficeApplication } from "./OfficeApplication";
import { DrawingNamespaceDefinitionBase } from "./DrawingNamespaceDefinitionBase";
import { IPackageFactory } from "./IPackageFactory";
import { Stream, Nullable$1, Type } from "igniteui-webcomponents-core";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
/**
 * @hidden
 */
export declare abstract class ExcelDocumentManager extends OfficeDocumentManager {
    static $t: Type;
    private static readonly _br;
    private static readonly _bq;
    private static readonly _bv;
    private static readonly _bu;
    constructor(a: IPackageFactory, b: Stream, c: boolean, d: Nullable$1<ST_ConformanceClass>);
    protected get__x(): OfficeApplication;
    get _x(): OfficeApplication;
    protected _ac(): ST_ConformanceClass;
    _bj(): void;
    protected get__v(): DrawingNamespaceDefinitionBase;
    get _v(): DrawingNamespaceDefinitionBase;
    _bs(): string;
    _bt(): string;
}
